Package com.emc.d2fs.services.checkout_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.checkout_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.checkout_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.checkout_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CancelCheckoutAllRequest`
  `createCancelCheckoutAllRequest()`
  Create an instance of `CancelCheckoutAllRequest`
  `CancelCheckoutAllResponse`
  `createCancelCheckoutAllResponse()`
  Create an instance of `CancelCheckoutAllResponse`
  `CancelCheckoutRequest`
  `createCancelCheckoutRequest()`
  Create an instance of `CancelCheckoutRequest`
  `CancelCheckoutResponse`
  `createCancelCheckoutResponse()`
  Create an instance of `CancelCheckoutResponse`
  `CheckoutAsNewRequest`
  `createCheckoutAsNewRequest()`
  Create an instance of `CheckoutAsNewRequest`
  `CheckoutAsNewResponse`
  `createCheckoutAsNewResponse()`
  Create an instance of `CheckoutAsNewResponse`
  `CheckoutRequest`
  `createCheckoutRequest()`
  Create an instance of `CheckoutRequest`
  `CheckoutResponse`
  `createCheckoutResponse()`
  Create an instance of `CheckoutResponse`
  `GetCheckoutCountRequest`
  `createGetCheckoutCountRequest()`
  Create an instance of `GetCheckoutCountRequest`
  `GetCheckoutCountResponse`
  `createGetCheckoutCountResponse()`
  Create an instance of `GetCheckoutCountResponse`
  `TestCheckoutRequest`
  `createTestCheckoutRequest()`
  Create an instance of `TestCheckoutRequest`
  `TestCheckoutResponse`
  `createTestCheckoutResponse()`
  Create an instance of `TestCheckoutResponse`
  `TestControlledPrintRequest`
  `createTestControlledPrintRequest()`
  Create an instance of `TestControlledPrintRequest`
  `TestControlledPrintResponse`
  `createTestControlledPrintResponse()`
  Create an instance of `TestControlledPrintResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.checkout_service

- ## Method Details

  - ### createCheckoutAsNewRequest

    public CheckoutAsNewRequest createCheckoutAsNewRequest()
    Create an instance of `CheckoutAsNewRequest`

  - ### createCheckoutAsNewResponse

    public CheckoutAsNewResponse createCheckoutAsNewResponse()
    Create an instance of `CheckoutAsNewResponse`

  - ### createCheckoutRequest

    public CheckoutRequest createCheckoutRequest()
    Create an instance of `CheckoutRequest`

  - ### createCheckoutResponse

    public CheckoutResponse createCheckoutResponse()
    Create an instance of `CheckoutResponse`

  - ### createTestCheckoutRequest

    public TestCheckoutRequest createTestCheckoutRequest()
    Create an instance of `TestCheckoutRequest`

  - ### createTestCheckoutResponse

    public TestCheckoutResponse createTestCheckoutResponse()
    Create an instance of `TestCheckoutResponse`

  - ### createCancelCheckoutRequest

    public CancelCheckoutRequest createCancelCheckoutRequest()
    Create an instance of `CancelCheckoutRequest`

  - ### createCancelCheckoutResponse

    public CancelCheckoutResponse createCancelCheckoutResponse()
    Create an instance of `CancelCheckoutResponse`

  - ### createCancelCheckoutAllRequest

    public CancelCheckoutAllRequest createCancelCheckoutAllRequest()
    Create an instance of `CancelCheckoutAllRequest`

  - ### createCancelCheckoutAllResponse

    public CancelCheckoutAllResponse createCancelCheckoutAllResponse()
    Create an instance of `CancelCheckoutAllResponse`

  - ### createGetCheckoutCountRequest

    public GetCheckoutCountRequest createGetCheckoutCountRequest()
    Create an instance of `GetCheckoutCountRequest`

  - ### createGetCheckoutCountResponse

    public GetCheckoutCountResponse createGetCheckoutCountResponse()
    Create an instance of `GetCheckoutCountResponse`

  - ### createTestControlledPrintRequest

    public TestControlledPrintRequest createTestControlledPrintRequest()
    Create an instance of `TestControlledPrintRequest`

  - ### createTestControlledPrintResponse

    public TestControlledPrintResponse createTestControlledPrintResponse()
    Create an instance of `TestControlledPrintResponse`